org.opencv.features2d

## Class BOWTrainer

- java.lang.Object
- - org.opencv.features2d.BOWTrainer

- Direct Known Subclasses:
    BOWKMeansTrainer

      public class BOWTrainer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BOWTrainer(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BOWTrainer` | `__fromPtr__(long addr)`
    `void` | `add(Mat descriptors)`
    `void` | `clear()`
    `Mat` | `cluster()`
    `Mat` | `cluster(Mat descriptors)`
    `int` | `descriptorsCount()`
    `protected void` | `finalize()`
    `java.util.List<Mat>` | `getDescriptors()`
    `long` | `getNativeObjAddr()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### BOWTrainer

          protected BOWTrainer(long addr)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static BOWTrainer __fromPtr__(long addr)

    - #### cluster

          public Mat cluster(Mat descriptors)

    - #### cluster

          public Mat cluster()

    - #### descriptorsCount

          public int descriptorsCount()

    - #### getDescriptors

          public java.util.List<Mat> getDescriptors()

    - #### add

          public void add(Mat descriptors)

    - #### clear

          public void clear()

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1